> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List page evaluations for a workspace



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/page-evaluation
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/page-evaluation:
    get:
      summary: List page evaluations for a workspace
      operationId: listPageEvaluations
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageEvaluationList'
      security:
        - cookieAuth: []
        - bearerAuth:
            - reports:read
components:
  schemas:
    PageEvaluationList:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          workspace:
            type: string
          url:
            type: string
          fetchedAt:
            type: string
          scores:
            type: object
            properties:
              performance:
                type: number
              accessibility:
                type: number
              bestPractices:
                type: number
              seo:
                type: number
            required:
              - performance
              - accessibility
              - bestPractices
              - seo
            additionalProperties: false
          metrics:
            type: object
            properties:
              lcp:
                type: number
                nullable: true
              cls:
                type: number
                nullable: true
              tbt:
                type: number
                nullable: true
              fcp:
                type: number
                nullable: true
            required:
              - lcp
              - cls
              - tbt
              - fcp
            additionalProperties: false
          checks:
            type: object
            properties:
              robotsTxt:
                type: object
                properties:
                  passed:
                    type: boolean
                  value:
                    type: string
                    nullable: true
                  suggestion:
                    type: string
                    nullable: true
                required:
                  - passed
                  - value
                  - suggestion
                additionalProperties: false
              sitemapXml: 78f0ea69-bf0d-4a63-9750-afab50b66289
              llmsTxt: 1b2a9383-cc0f-4ddd-9522-3c2975b94741
              metaRobots: efe9ff63-b928-4c81-885d-b476e1f1064b
              canonical: 9abbbc5a-c05a-43a6-8efe-b6ba8f922a62
              title: fe45f078-f6fe-412b-a34f-b11e946812a9
              description: 10f37b81-2db2-4e7d-a807-4dbe8ced7ab4
              https: 350677f0-6435-4598-bcf8-5e7825c1ec0d
              viewport: 63ff350e-e125-45f1-bbfd-9706b5c15c24
            required:
              - robotsTxt
              - sitemapXml
              - llmsTxt
              - metaRobots
              - canonical
              - title
              - description
              - https
              - viewport
            additionalProperties: false
        required:
          - id
          - workspace
          - url
          - fetchedAt
          - scores
          - metrics
          - checks
        additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````